"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const buildSearchString_1 = require("../buildSearchString");
describe('buildSearchString', () => {
    it('should correctly build search strings from plain transactions', () => {
        const input = [
            { id: 1, value: '100', type: 'deposit' },
            { id: 2, value: '200', type: 'withdrawal' },
            { id: 3, value: '150', type: 'deposit' }
        ];
        const expectedOutput = {
            id: [1, 2, 3],
            value: ['100', '200', '150'],
            type: ['deposit', 'withdrawal', 'deposit']
        };
        expect((0, buildSearchString_1.buildSearchString)(input)).toEqual(expectedOutput);
    });
    it('should handle empty input array', () => {
        const input = [];
        const expectedOutput = {};
        expect((0, buildSearchString_1.buildSearchString)(input)).toEqual(expectedOutput);
    });
    it('should handle transactions with different keys', () => {
        const input = [
            { id: 1, value: '100' },
            { type: 'withdrawal', amount: '200' },
            { id: 3, type: 'deposit' }
        ];
        const expectedOutput = {
            id: [1, undefined, 3],
            value: ['100', undefined, undefined],
            type: [undefined, 'withdrawal', 'deposit'],
            amount: [undefined, '200', undefined]
        };
        expect((0, buildSearchString_1.buildSearchString)(input)).toEqual(expectedOutput);
    });
});
//# sourceMappingURL=buildSearchString.spec.js.map