"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateToken = void 0;
const axios_1 = __importDefault(require("axios"));
const isDomainValid_1 = require("./isDomainValid");
const sdkDappCore_1 = require("../../../lib/sdkDappCore");
async function validateToken({ callbackUrl, token, extrasApi }) {
    if (!token) {
        return false;
    }
    try {
        const decodedToken = (0, sdkDappCore_1.decodeNativeAuthToken)(token);
        if (decodedToken?.blockHash) {
            const { data: domains } = await axios_1.default.get(`${extrasApi}/permissions/allow/domains`);
            const allowedDomains = Object.keys(domains);
            const domainIsValid = (0, isDomainValid_1.isDomainValid)(callbackUrl, allowedDomains);
            return domainIsValid;
        }
    }
    catch (err) {
        console.log('Unable to validate token', err);
    }
    // token is not id.maiar.com loginToken
    return true;
}
exports.validateToken = validateToken;
//# sourceMappingURL=validateToken.js.map