"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getLogoutHookData = void 0;
const navigation_1 = require("../../helpers/navigation");
const sdkDappCore_1 = require("../../lib/sdkDappCore");
const helpers_1 = require("../../hooks/helpers");
const yup_1 = require("yup");
const schema = (0, yup_1.object)({
    callbackUrl: helpers_1.validUrlSchema.required()
}).required();
const getLogoutHookData = (search = window.location.search) => {
    if (!search) {
        return null;
    }
    const hook = (0, navigation_1.parseQueryParams)(search);
    try {
        schema.validateSync(hook, { strict: true });
        let callbackUrl = (0, navigation_1.decodeAndSanitizeUrl)(hook.callbackUrl);
        callbackUrl = (0, sdkDappCore_1.sanitizeCallbackUrl)(callbackUrl);
        return {
            hookUrl: search,
            callbackUrl
        };
    }
    catch ({ errors }) {
        console.error('logout hook format errors: ', errors);
    }
    return null;
};
exports.getLogoutHookData = getLogoutHookData;
//# sourceMappingURL=getLogoutHookData.js.map