"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.replyUrl = void 0;
const sdkDappCore_1 = require("../../lib/sdkDappCore");
const sanitizeCallbackUrlSearchParams_1 = require("../../hooks/helpers/sanitizeSignHookCallbackUrl/sanitizeCallbackUrlSearchParams");
const replyUrl = ({ callbackUrl, urlParams = {} }) => {
    let url = callbackUrl;
    if (Object.entries(urlParams).length > 0) {
        try {
            const { search, origin, pathname, protocol, hash } = new URL(callbackUrl);
            const isVscode = protocol === 'vscode:';
            const { nextUrlParams } = (0, sdkDappCore_1.buildUrlParams)(search, urlParams);
            url = isVscode
                ? `${callbackUrl}?${nextUrlParams}${hash}`
                : `${origin}${pathname}?${nextUrlParams}${hash}`;
        }
        catch (err) {
            console.error('Unable to construct URL from: ', callbackUrl, err);
            return url;
        }
    }
    const clearedSdkDappVersion = (0, sanitizeCallbackUrlSearchParams_1.sanitizeCallbackUrlSearchParams)(url);
    return clearedSdkDappVersion;
};
exports.replyUrl = replyUrl;
//# sourceMappingURL=replyUrl.js.map